Package org.apache.solr.client.solrj.response

# Class TermsResponse.Term

java.lang.Object
org.apache.solr.client.solrj.response.TermsResponse.Term

Enclosing class:
  `TermsResponse`

public static class TermsResponse.Term extends Object

## Constructor Summary

Constructors
Constructor
Description
`Term(String term, long frequency)`
`Term(String term, long frequency, long totalTermFreq)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFrequency(long frequency)`
`void`
`addTotalTermFreq(long totalTermFreq)`
`long`
`getFrequency()`
`String`
`getTerm()`
`long`
`getTotalTermFreq()`
`void`
`setFrequency(long frequency)`
`void`
`setTerm(String term)`
`void`
`setTotalTermFreq(long totalTermFreq)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Term

public Term(String term, long frequency)

### Term

public Term(String term, long frequency, long totalTermFreq)

## Method Details

### getTerm

public String getTerm()

### setTerm

public void setTerm(String term)

### getFrequency

public long getFrequency()

### setFrequency

public void setFrequency(long frequency)

### addFrequency

public void addFrequency(long frequency)

### getTotalTermFreq

public long getTotalTermFreq()

### setTotalTermFreq

public void setTotalTermFreq(long totalTermFreq)

### addTotalTermFreq

public void addTotalTermFreq(long totalTermFreq)